package ar.particlepainter.particles 
{
	import flash.display.BitmapData;	

	/**
	 * @author Alan Ross
	 */
	public class DistortParticle extends Particle
	{
		public var next: DistortParticle;
		
		public var distToOrigin: int;
		
		public var shape: BitmapData;
		
		public var size: int;
		
		//private const PI2: Number = Math.PI * 2;
		
		//private var n: int;
		//private var arcRand: Number;
		//private var px: int;
		//private var py: int;

		/**
		 * Create a new <code>DistortParticle</code> object.
		 */
		public function DistortParticle()
		{
			lifespan = 1 + ( 10 * Math.random() );
			size = Math.random() * 4;
		}

		/**
		 * @inheritDoc
		 */
		override public function paint( b: BitmapData ): void
		{
			color32 = ( ( 0x33 << 24 ) | color );
			
			//----------------------- paint blobs
			//n = 5;
			//
			//while( --n > -1)
			//{
			//	arcRand = Math.random() * PI2;
			//	
			//	px = x + ( Math.sin( arcRand ) * ( size * ( ( restLife / lifespan ) ) ) );
			//	py = y + ( Math.cos( arcRand ) * ( size * ( ( restLife / lifespan ) ) ) );
			//	
			//	b.setPixel32( px, py, color32 );
			//}
			
			//----------------------- or thin lines
			b.setPixel32( x, y, color32 );
		}
	}
}
